<!DOCTYPE html>
<html lang="en">
<head>
  <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
          integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
          crossorigin="anonymous"></script>
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.0/dist/js/bootstrap.bundle.min.js"
          integrity="sha384-A3rJD856KowSb7dwlZdYEkO39Gagi7vIsF0jrRAoQmDKKtQBHUuLZ9AsSv4jD4Xa"
          crossorigin="anonymous"></script>
  <script type="text/javascript" src="/js/mainPageController.js"></script>
  <script type="text/javascript" src="/js/helpingTools.js"></script>
  <script type="text/javascript" src="/js/usersGenerator.js"></script>
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.0/dist/css/bootstrap.min.css"
        rel="stylesheet"
        integrity="sha384-gH2yIJqKdNHPEq0n4Mqa/HGKIhSkIHeL5AyhkYV8i59U5AR6csBvApHHNl/vI1Bx"
        crossorigin="anonymous">
  <meta charset="UTF-8">
  <title>Phone book</title>
  <p class="h1">Welcome to your phonebook</p>
  <p class="h6">Here you can store/add/edit users information and their contact data</p>
</head>
<body style="width: 600px;  margin: auto;">
<br>
<br>

<p class="h3">Add new user</p>

<form class="mx-1 border rounded" style="padding: 1%" id="newUserForm">
  <br>
  <br>
  <div class="d-flex flex-row align-items-center mb-4">
    <i class="fas fa-user fa-lg me-3 fa-fw"></i>
    <div class="form-outline flex-fill mb-0">
      <label class="form-label" for="formName">Name</label>
      <input type="text" id="formName" class="form-control"/>
    </div>
  </div>

  <div class="d-flex flex-row align-items-center mb-4">
    <i class="fas fa-envelope fa-lg me-3 fa-fw"></i>
    <div class="form-outline flex-fill mb-0">
      <label class="form-label" for="formEmail">Email</label>
      <input type="email" id="formEmail" class="form-control"/>
    </div>
  </div>

  <div class="d-flex flex-row align-items-center mb-4">
    <i class="fas fa-envelope fa-lg me-3 fa-fw"></i>
    <div class="form-outline flex-fill mb-0">
      <label class="form-label" for="formPhone">Phone</label>
      <input type="email" id="formPhone" class="form-control"/>
    </div>
  </div>

  <div class="d-flex justify-content-between mx-4 mb-3 mb-lg-4">
    <button type="button" class="btn btn-light btn-lg" onclick="fillFormWithRandomData()">Generate</button>
    <button type="button" class="btn btn-success btn-lg" onclick="addNewUser()">Save</button>
  </div>

</form>

<p class="h3">Users list</p>
<table class="table table-bordered" id="usersTable">
  <thead>
  <tr>
    <th scope="col">ID</th>
    <th scope="col">Name</th>
    <th scope="col">Email</th>
    <th scope="col">Phone</th>
    <th scope="col">Actions</th>
  </tr>
  </thead>
  <tbody>
  </tbody>
</table>

</body>
</html>